pqxx::undefined_function Struct Reference
Exception classes

`#include <except.hxx>`

Inheritance diagram for pqxx::undefined_function:
[legend]

## Public Member Functions

| undefined_function (std::string const &err, std::string const &Q="", char const sqlstate[]=nullptr)
Public Member Functions inherited from pqxx::syntax_error
| syntax_error (std::string const &err, std::string const &Q="", char const sqlstate[]=nullptr, int pos=-1)
Public Member Functions inherited from pqxx::sql_error
| sql_error (std::string const &whatarg="", std::string const &Q="", char const sqlstate[]=nullptr)
virtual | ~sql_error () noexcept override
PQXX_PURE std::string const & | query () const noexcept
| The query whose execution triggered the exception.
PQXX_PURE std::string const & | sqlstate () const noexcept
| SQLSTATE error code if known, or empty string otherwise.
Public Member Functions inherited from pqxx::failure
| failure (std::string const &)

## Additional Inherited Members

Public Attributes inherited from pqxx::syntax_error
int const | error_position
| Approximate position in string where error occurred, or -1 if unknown.

## Constructor & Destructor Documentation

## undefined_function()

pqxx::undefined_function::undefined_function | ( | std::string const & | err,
|  | std::string const & | Q = `""`,
|  | char const | sqlstate[] = `nullptr`
| ) |  |

explicit

The documentation for this struct was generated from the following file:

- except.hxx